<?
include_once("../../../cisweb_manual/valida_sessao.php");
protegePagina(); 
include_once("../../../cisweb_manual/CisManual/adm_head.php");
?>

<span class="dir">Publicar Revisão</span>
</div>

<div id="conteudo">

<?php
if($_SESSION['usuarioNivel']>='3'){
$id = $_GET['id'];
?>
<center><br /><br />Para publicar uma alteração, você deve especificar quais modificações foram feitas.</center>
<table align="center" cellspacing="0" cellpadding="0">

<?php
include("../../../cisweb_manual/CisManual/config.php");
include("../../../cisweb_manual/CisManual/utf8.php");

$autor = $_SESSION['usuarioNome'];

$sql_alt = "SELECT * FROM paginas WHERE P_ID = $id";
$consulta_alt = mysql_query($sql_alt, $conn);
$alteracao = mysql_fetch_array($consulta_alt);

$autor_alteracao = $alteracao['P_ALT_AUTOR'];
$data_alteracao = $alteracao['P_ALT_DATA'];

if ((isset($_POST['submit']))AND($_POST['texto']!="")) {
	$texto = $_POST['texto'];
	$autor2 = $_POST['autor2'];
	$id = $_POST['id'];
	$autor_alteracao = $_POST['autor_alteracao'];
	$data_alteracao = $_POST['data_alteracao'];
	
   $insere = "INSERT INTO observacoes (OB_P_ID,OB_TEXTO,OB_AUTOR,OB_ALT_AUTOR,OB_ALT_DATA)
   VALUES ('$id','$texto','$autor2','$autor_alteracao','$data_alteracao')";
   mysql_query($insere, $conn);
   mysql_close($conn);
   
   $local = "publicarfinal_pagina.php?id=".$id;
   echo "<script>location.href='$local';</script>";
}

if(isset($_GET['alterado'])){
	echo "<p class=\"sucesso\">Alterado Com Sucesso!</p>";
}

?>

<form name="frm" method="POST" action="<?=$_SERVER['PHP_SELF']?>" onSubmit="return valida_obs(this);">
         
		  <tr>
            <td>
            <img src="../../../cisweb_manual/img/importante.gif" />
            Revisão <br />
            <textarea name="texto" rows="10" cols="50"></textarea>
            </td>
      </tr>
          <tr>
            <td>
              <center>
              <input type="hidden" name="id" value="<?=$id?>" />
              <input type="hidden" name="autor_alteracao" value="<?=$autor_alteracao?>" />
              <input type="hidden" name="data_alteracao" value="<?=$data_alteracao?>" />
              <input type="hidden" name="autor2" value="<?=$autor?>" />
              <input type="button" value="Voltar" class="botao" name="voltar" onclick="location.href='alterar_pagina.php?id=<?=$id?>'">
              <input type="submit" value="Salvar" class="botao" name="submit"></center></td>
          </tr>
 
</form>
</table>
<?php
	$qry = "SELECT *, date_format(OB_DATA, '%d/%m/%Y - %H:%i') as data, date_format(OB_ALT_DATA, '%d/%m/%Y - %H:%i') as data_autor FROM observacoes WHERE OB_P_ID = $id ORDER by OB_DATA DESC";
	$consulta = mysql_query($qry, $conn);
?>

<table align="center" class="exibe" width="90%">
  <tr>
    <th width="130">Publicação</th>
    <th width="130">Alteração</th>
    <th>Revisão</th>
    <th>Alterar</th>
  </tr>
<?
$n = 0;
while ($linha = mysql_fetch_array($consulta)) {
?>
  <tr>
  	<td height="52"><?=$linha['data'];?><br /><?=$linha['OB_AUTOR'];?></td>
	<td><?=$linha['data_autor'];?><br /><?=$linha['OB_ALT_AUTOR'];?></td>
	<td><?=$linha['OB_TEXTO'];?></td>
    <td width="1"><?php if(($_SESSION['usuarioNivel']>=3)){ ?><a href="alterar_revisao.php?id=<?=$linha['OB_COD'];?>&idpag=<?=$linha['OB_P_ID'];?>" class="grupo"><img src="imagem/editar.gif" alt="Editar" /></a><? } ?></td>
  </tr>
<?
$n++;
}
?>
</table>
<?php
} else {
	?>
    <h2>Você não tem autorização para Publicar conteúdos</h2>
    <?
}
?>
</div>
<?include_once("../../../cisweb_manual/CisManual/adm_foot.php"); ?>